/*
Theme Name:   Template
Description:  A child theme from Hello Elementor
Author:       Informatiza
Author URL:   https://informatizaweb.com.br
Template:     hello-elementor
Version:      1.0
License:      GNU General Public License v2 or later
License URI:  http://www.gnu.org/licenses/gpl-2.0.html
Text Domain:  hello-elementor
*/

/* Checkout page */

.checkout-cart-products .product-remove {
	position: absolute;
}
#order-cart .quantity :is(.minus, .plus) {
    display: none;
}

#checkout-cupom-app {
    margin-bottom: 1rem;
}
#checkout-cupom-app .checkout-cupom-wrap {
    display: flex;
    gap: 1rem;
}
#customer_details {
    display: flex;
    flex-wrap: wrap;
}
#customer_details h3 {
    font-size: 1.4rem;
}
#customer_details.col-3 .col-1 {
    width: 33%;
    padding: 0.5rem;
}
#customer_details .woocommerce-billing-fields :is(input, select) {
    height: 38px;
    font-size: .8rem;
    border: 1px solid #ccc;
}
#customer_details .select2-container .select2-selection--single {
    height: 38px;
    border-color: #ccc;
}
#customer_details .select2-container--default .select2-selection--single .select2-selection__rendered {
    line-height: 38px;
    font-size: .8rem;
}
#customer_details .form-row-first,
#customer_details .form-row-last,
#customer_details .form-row.address-field {
    width: 100%;
}
#customer_details .form-row label {
    font-size: 0.8rem;
}
#customer_details #billing_country_field {
    display: none;
}
#customer_details #order-cart {
    margin-bottom: 1rem;
}
#customer_details #order-cart :is(th, td) {
    border: none;
}
#customer_details #order-cart .product-name a {
    font-size: 0.9rem;
    color: #525252;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}
#customer_details #order-cart .checkout-cart-box {
    padding: 0.5rem 0;
    border: 1px solid #e5e5e5;
    border-radius: 4px;
}
#customer_details #order-cart .checkout-cart-form__cart-item {
    display: flex;
    padding: 0 0.2rem;
}
#customer_details #order-cart .checkout-cart-box .checkout-cart-form__cart-item:not(:last-child) {
    border-bottom: 1px solid #e5e5e5;
}
#customer_details #order-cart .checkout-cart-form__cart-item .product-thumbnail {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 20%;
}
#customer_details #order-cart .checkout-cart-form__cart-item .product-thumbnail a {
    display: contents;
}
#customer_details #order-cart .checkout-cart-form__cart-item .product-thumbnail a img {
    max-width: 50px;
}
#customer_details #order-cart .checkout-cart-form__cart-item .product-infos {
    flex: 1;
    padding: 0.4rem;
}
#customer_details #order-cart .checkout-cart-form__cart-item .product-name {
    margin-bottom: .5rem;
}
#customer_details #order-cart .checkout-cart-form__cart-item .product-subtotal {
    display: flex;
    align-items: center;
}
#customer_details #order-cart .checkout-cart-form__cart-item .product-footer {
    display: flex;
	flex-wrap: wrap;
    gap: 0.6rem;
}
#customer_details #order-cart .checkout-cart-submit {
    padding: 0.5rem 0.5rem 0;
}
#customer_details #order-cart .product-quantity input {
    padding: 0;
    color: #666565;
    font-size: 0.95rem;
    border: 1px solid #efefef;
    border-radius: 0;
}
#customer_details #order-cart .qib-button-wrapper button.qib-button,
#customer_details #order-cart .qib-button-wrapper div.quantity.wqpmb_quantity,
#customer_details #order-cart .qib-button-wrapper input.wqpmb_input_text {
	height: 28px;
}
#customer_details #order-cart .qib-button-wrapper button.qib-button,
#customer_details #order-cart .qib-button-wrapper div.quantity.wqpmb_quantity {
    padding: 0;
	font-size: .9rem;
}
#customer_details #order-cart button[type="submit"] {
    width: 100%;
    background-color: #000;
    border: none;
    color: #fff;
}
#customer_details #order_review {
    font-size: .9rem;
}
#customer_details #checkout-cupom-app p {
    font-size: .9rem;
    margin-bottom: 0.5rem;
}
#customer_details #checkout-cupom-app  .checkout-cupom-wrap :is(input, button) {
    font-size: 0.8rem;
}
#customer_details #checkout-cupom-app button {
    font-weight: 600;
    background-color: #000;
    border: none;
    color: #fff;
}
#customer_details .woocommerce-privacy-policy-text {
    font-size: .9rem;
}
#customer_details #payment #place_order {
    background-color: #000;
    border-radius: 0;
    border: none;
}

#pagseguro-payment-methods {
	display: flex;
    flex-direction: column;
}
#pagseguro-payment-methods li {
	border: none !important;
    border-bottom: 1px solid #ccc !important;
}
#pagseguro-payment-methods li.active {
    border-color: #7a7575 !important;
	background-color: #d5d5d5;
}
#pagseguro-payment-form #pagseguro-credit-card-form p {
    width: 100%;
}
#pagseguro-payment-form #pagseguro-credit-card-form p input {
	font-size: 1.2em !important;
}
.woocommerce-order #submit-payment {
    width: 100% !important;
    background-color: #000;
}
.woocommerce-order .woocommerce-thankyou-order-received {
    text-align: center;
    font-size: 1.7rem;
    margin-bottom: 1.7rem;
}

@media (max-width: 1024px) {
    #customer_details {
        max-width: 800px;
        margin: 0 auto;
    }
    #customer_details.col-3 .col-1 {
        width: 100%;
    }
    .woocommerce-thankyou-order-details {
        padding: 0;
    }
    .woocommerce-thankyou-order-details li {
        width: 100%;
        margin-bottom: 0.6rem;
    }
}
@media (max-width: 460px) {
    #customer_details .form-row {
        width: 100% !important;
    }
}
/* End checkout page */


/* Checkout form fields */

.woocommerce-billing-fields__field-wrapper,
.woocommerce-address-fields__field-wrapper {
    display: flex;
    flex-wrap: wrap;
	gap: 8px;
	justify-content: space-between;
}
.woocommerce-billing-fields__field-wrapper .form-row,
.woocommerce-address-fields__field-wrapper .form-row {
    width: 100%;
	padding: 3px 0;
	display: flex;
    flex-direction: column;
    justify-content: end;
}
#billing_country_field {
    display: none;
}

#billing_first_name_field,
#billing_last_name_field,
#billing_number_field,
#billing_cpf_field,
#billing_address_2_field,
#billing_postcode_field,
#billing_neighborhood_field,
#billing_city_field,
#billing_phone_field,
#billing_cellphone_field {
    width: calc(50% - 4px) !important;
	
}
/* End checkout form fields */
